#include "driver.h"
#include "emu10k1.h"

int
main (int argc, char **argv)
{
	int     err;

	if (snd_init (argc, argv) == -1)
		return (EXIT_FAILURE);

	if ((err= snd_sblive_init ()) < 0)
	{
		snd_cleanup ();
		fprintf (stderr, "Unable to detect SB-LIVE! (%s)", strerror (-err));
		return (EXIT_FAILURE);
	}
	snd_start ();
	snd_sblive_cleanup ();
	snd_cleanup ();
	return (0);
}
